﻿@model AssignRoleViewModel
@{
    ViewData["Title"] = "AssignRole";
}

<h1>Assign role</h1>
<table class="table">
    <thead class="table-dark">
        <tr>
            <th scope="col">Id</th>
            <th scope="col">User name</th>
            <th scope="col">Email</th>
            <th scope="col">Roles</th>
            <th scope="col">New Role</th>
        </tr>
    </thead>
    <tbody>
        @foreach (var user in Model.UsersWithRole)
        {
            <tr>
                <td>@user.UserId</td>
                <td>@user.UserName</td>
                <td>@user.Email</td>
                <td>@user.Roles</td>
                <td>
                    <form asp-controller="Account" asp-action="AssignRole" method="post">
                        <input type="hidden" name="UserId" asp-for="@user.UserId" />
                        <select name="RoleName" asp-for="@user.Roles" asp-items="new SelectList(Model.Roles)" class="form-control">
                            <option>Select</option>
                        </select>
                        <input type="submit" value="Assign Role" />
                    </form>
                </td>
            </tr>
        }
    </tbody>
</table>

